loci.plugins.util

## Class WindowTools

- java.lang.Object
- - loci.plugins.util.WindowTools

-     public final class WindowTools
      extends java.lang.Object

  Utility methods for managing ImageJ dialogs and windows.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `WindowTools()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addScrollBars(java.awt.Container pane)` Adds AWT scroll bars to the given container.
    `static java.util.List<java.awt.Checkbox>` | `getCheckboxes(ij.gui.GenericDialog gd)`
    `static java.util.List<java.awt.Choice>` | `getChoices(ij.gui.GenericDialog gd)`
    `static java.util.List<java.awt.TextField>` | `getNumericFields(ij.gui.GenericDialog gd)`
    `static void` | `placeWindow(java.awt.Window w)` Places the given window at a nice location on screen, either centered below the ImageJ window if there is one, or else centered on screen.
    `static void` | `reportException(java.lang.Throwable t)` Reports the given exception with stack trace in an ImageJ error dialog.
    `static void` | `reportException(java.lang.Throwable t, boolean quiet)` Reports the given exception with stack trace in an ImageJ error dialog.
    `static void` | `reportException(java.lang.Throwable t, boolean quiet, java.lang.String msg)` Reports the given exception with stack trace in an ImageJ error dialog.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowTools

          private WindowTools()

  - ### Method Detail

    - #### addScrollBars

          public static void addScrollBars(java.awt.Container pane)

      Adds AWT scroll bars to the given container.

    - #### placeWindow

          public static void placeWindow(java.awt.Window w)

      Places the given window at a nice location on screen, either centered below the ImageJ window if there is one, or else centered on screen.

    - #### reportException

          public static void reportException(java.lang.Throwable t)

      Reports the given exception with stack trace in an ImageJ error dialog.

    - #### reportException

          public static void reportException(java.lang.Throwable t,
                                             boolean quiet)

      Reports the given exception with stack trace in an ImageJ error dialog.

    - #### reportException

          public static void reportException(java.lang.Throwable t,
                                             boolean quiet,
                                             java.lang.String msg)

      Reports the given exception with stack trace in an ImageJ error dialog.

    - #### getNumericFields

          public static java.util.List<java.awt.TextField> getNumericFields(ij.gui.GenericDialog gd)

    - #### getCheckboxes

          public static java.util.List<java.awt.Checkbox> getCheckboxes(ij.gui.GenericDialog gd)

    - #### getChoices

          public static java.util.List<java.awt.Choice> getChoices(ij.gui.GenericDialog gd)

Copyright © 2026 Open Microscopy Environment